[svlug] "env" problem

Mark Nakamura masayang at nri.com
Fri Dec 31 19:48:22 PST 2004


Daniel Ballenger wrote:
> Greetings,
> I'm running a Gentoo server right now, and recently after an upgrade
> of the packages on the system I started to run into this problem:
> -----------------
> redrover root # /etc/init.d/courier-imapd start
>  * Starting ...
> /usr/bin/env: /usr/lib/courier-imap/authlib/: Permission denied       
>                                                             [ !! ]
> 
>  * ERROR:  Problem starting needed services.
>  *         "courier-imapd" was not started.
> -----------------
> What gives?  There's no one I know that can figure it out, there's
> gotta be someone out there that can point me in the right direction. 
> Any help would be greatly appreciated.

I assume you are upgrading to courier-imap-3.0.8. According to its 
ebuild, there is a post-instration procedure.

"Make sure to change /etc/courier-imap/authdaemond.conf if you would 
like to use something other than the authdaemond.plain authenticator"

I guess you better check your use flag setting in your make.conf.

Mark




Mark





More information about the svlug mailing list